﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication113
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DisplayLayout.Override.AllowMultiCellOperations = AllowMultiCellOperation.All;
        }

        private void ultraGrid1_BeforeMultiCellOperation(object sender, BeforeMultiCellOperationEventArgs e)
        {
      
        }

        private void ultraGrid1_BeforePerformAction(object sender, BeforeUltraGridPerformActionEventArgs e)
        {
            if (e.UltraGridAction == UltraGridAction.Copy)
            {
                foreach (UltraGridRow row in ultraGrid1.Selected.Rows)
                {
                    row.Cells[0].Column.Hidden = true;
                }
            }
        }

        private void ultraGrid1_AfterPerformAction(object sender, AfterUltraGridPerformActionEventArgs e)
        {
            if (e.UltraGridAction == UltraGridAction.Copy)
            {
                foreach (UltraGridRow row in ultraGrid1.Selected.Rows)
                {
                    row.Cells[0].Column.Hidden = false;
                }
            }
        }
    }
}
